about summary refs log tree commit diff homepage
diff options
context:
space:
mode:
-rwxr-xr-x.travis/solvers.sh9
-rwxr-xr-x.travis/z3.sh14
2 files changed, 15 insertions, 8 deletions
diff --git a/.travis/solvers.sh b/.travis/solvers.sh
index 04f3276f..b419d679 100755
--- a/.travis/solvers.sh
+++ b/.travis/solvers.sh
@@ -16,15 +16,8 @@ for solver in ${SOLVER_LIST}; do
     cd ../
     ;;
   Z3)
-    # FIXME: Move this into its own script
-    source ${KLEE_SRC}/.travis/sanitizer_flags.sh
-    if [ "X${IS_SANITIZED_BUILD}" != "X0" ]; then
-      echo "Error: Requested Sanitized build but Z3 being used is not sanitized"
-      exit 1
-    fi
     echo "Z3"
-    # Should we install libz3-dbg too?
-    sudo apt-get -y install libz3 libz3-dev
+    ${KLEE_SRC}/.travis/z3.sh
     ;;
   metaSMT)
     echo "metaSMT"
diff --git a/.travis/z3.sh b/.travis/z3.sh
new file mode 100755
index 00000000..10d6be80
--- /dev/null
+++ b/.travis/z3.sh
@@ -0,0 +1,14 @@
+#!/bin/bash -x
+
+# Make sure we exit if there is a failure
+set -e
+
+# FIXME: Move this into its own script
+source ${KLEE_SRC}/.travis/sanitizer_flags.sh
+if [ "X${IS_SANITIZED_BUILD}" != "X0" ]; then
+  echo "Error: Requested Sanitized build but Z3 being used is not sanitized"
+  exit 1
+fi
+
+# Should we install libz3-dbg too?
+sudo apt-get -y install libz3 libz3-dev